Get Named Account List Members¶
GET /rest/v1/namedAccountList/{id}/namedAccounts.json
Method: GET
Path: /rest/v1/namedAccountList/{id}/namedAccounts.json
Tag: Named Account Lists
Operation ID: getNamedAccountListMembersUsingGET
Retrieves the named accounts which are members of the given list. Required Permissions: Read-Only Named Account, Read-Write Named Account
Formats¶
- Request:
application/json - Response:
application/json
Request¶
Path parameters¶
| Name | Type | Required | Description | Constraints |
|---|---|---|---|---|
id |
string | Yes | Id of the named account list |
Query parameters¶
| Name | Type | Required | Description | Constraints |
|---|---|---|---|---|
fields |
array |
No | Comma-separated list of fields to include in the response | collection format: multi |
batchSize |
integer (int32) | No | The batch size to return. The max and default value is 300. | |
nextPageToken |
string | No | A token will be returned by this endpoint if the result set is greater than the batch size and can be passed in a subsequent call through this parameter. See Paging Tokens for more info. |
Example request¶
GET {{base_url}}/rest/v1/namedAccountList/{{id}}/namedAccounts.json?fields={{fields}}&batchSize={{batchSize}}&nextPageToken={{nextPageToken}}
Accept: application/json
Responses¶
200 — OK¶
Schema: model: ResponseOfNamedAccount
Generated example¶
{
"errors": [
{
"code": "string",
"message": "string"
}
],
"moreResult": false,
"nextPageToken": "example-token",
"requestId": "123",
"result": [
{
"marketoGUID": "123",
"reasons": [
{
"code": "string",
"message": "string"
}
],
"seq": 123,
"status": "created"
}
],
"success": false,
"warnings": [
{
"code": 123,
"message": "string"
}
]
}
Referenced models¶
Source¶
Generated from swagger-mapi.json.
Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.